{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":21294,"path":"integrate-applications/integration-hub/mastercard-spoke.md","title":"Mastercard Spoke","bundle":null,"doc_type":null,"release":"australia","body":"\n# Mastercard Spoke\n\nIntegrate your ServiceNow instance with Mastercard’s Mastercom API Suite \\(MCOM\\) and Mastercom Extended APIs \\(MCOM Extended\\) to manage the full card dispute lifecycle. Handle tasks such as searching transactions, creating claims, and processing chargebacks, pre-arbitration, and arbitration case filings efficiently.\n\n## Request apps on the Store\n\nVisit the [ServiceNow Store](https://store.servicenow.com/sn_appstore_store.do#!/store/home) to view all the available apps, and for information about submitting requests to the store. For cumulative release notes information for all released apps, see the [ServiceNow Store version history release notes](https://www.servicenow.com/docs/r/store-release-notes/sn-store-release-notes.html).\n\n## Integration Hub subscription\n\nThis spoke requires an Integration Hub subscription. For more information, see [Legal schedules - IntegrationHub overview](https://www.servicenow.com/content/dam/servicenow-assets/public/en-us/doc-type/legal/snc-addendum-integrationhub.pdf).\n\n## Spoke version\n\nMastercard Spoke v3.0.1 is the latest version. For version history of the spoke, see [Mastercard Spoke release notes](https://www.servicenow.com/docs/r/store-release-notes/store-integrationhub-rn-mastercard-spoke.html).\n\n## Supported version\n\nThis spoke was built for Mastercom v6.\n\n## Key features\n\nMastercard Spoke enables a flow designer to build workflows using actions that invoke Mastercomand Mastercom Extended. This includes the ability to:\n\n-   Search transactions\n-   Create claims and initiate chargebacks\n-   Manage seamless filing of pre-arbitration and arbitration cases\n-   Collaborate with merchants to prevent chargebacks\n-   Monitor disputes throughout the dispute lifecycle\n-   Expedite the end-to-end dispute management process\n-   Manage disputes for cleared Single Message System original transactions with Mastercom Extended\n\n**Note:** The Mastercom API \\(MCOM\\) handles disputes for Dual Message System transactions, while the Mastercom Extended API \\(MCOM Extended\\) handles disputes for Single Message System transactions, which are primarily PIN debit and ATM transactions \\(such as Cirrus and Maestro\\). For more information, see the [Mastercard developer documentation](https://developer.mastercard.com/mastercom-extended/documentation/support/).\n\n## Spoke requirements\n\n-   Integration Hub subscription\n-   Mastercard configuration details such as, certificate, key alias, consumer key, and keystore password\n\n## Spoke dependencies\n\nEnsure that these dependent plugins are installed:\n\n-   Complex Object \\(com.glide.cobject\\)\n-   ServiceNow Integration Hub Runtime \\(com.glide.hub.integration.runtime\\)\n-   ServiceNow Integration Hub Action Step - REST \\(com.glide.hub.action\\_step.rest\\)\n-   ServiceNow Integration Hub Action Template - Data Stream \\(com.glide.hub.action\\_type.datastream\\)\n\n**Note:** Some of these plugins are licensable features and require appropriate licenses, if used outside the spoke implementation.\n\n## Spoke actions\n\nThe Mastercard Spoke provides actions to simplify card dispute resolution. Available actions include:\n\n-   **Actions with sensitive information** - These actions contain sensitive information in the request and response body. When using Mastercom/Mastercom Extended APIs, it is recommended to use a Tokenization solution. This involves using a request builder to securely create requests and a response parser to handle encrypted API responses.\n\n    |Category|Action|Description|\n    |--------|------|-----------|\n    |Mastercom Chargeback Management|Look up Chargeback Documents Request Builder|Retrieves and parses chargeback-related documents in the required format.|\n    |Look up Chargeback Documents Response Parser|\n    |Mastercom Case Filing Management|Create Case Request Builder|Allows issuers or acquirers to file a pre-arbitration, arbitration, pre-compliance, or compliance case and optionally upload documents. They can also use the endpoint to create an Expedited Billing Dispute Form \\(EBDF\\) and attach it to the claim.|\n    |Create Case Response Parser|\n    |Look up Case Documents Request Builder|Retrieves and parses documents associated with a case in the preferred format.|\n    |Look up Case Documents Response Parser|\n    |Transactions|Look up Authorization Details of Transaction Request Builder|Retrieves and parses authorization details for the original transaction involved in the claim.|\n    |Look up Authorization Details of Transaction Response Parser|\n    |Look up clearing Details of Transaction Request Builder|Retrieves and parses clearing details for the original transaction involved in the claim.|\n    |Look up Clearing Details of Transaction Response Parser|\n    |Look up Transactions Request Builder|Searches for and parses information about an original transaction to support claim-related actions.|\n    |Look up Transactions Response Parser|\n    |Claims|Look up Claims in a Queue Request Builder|Retrieves and parses a list of claims in the queue within the specified date range.|\n    |Look up Claims in a Queue Response Parser|\n    |Look up Claim Details by Claim ID Request Builder|Retrieves and parses detailed information about a specific claim and its associated cases.|\n    |Look up Claim Details by Claim ID Response Parser|\n\n    |Category|Action|Description|\n    |--------|------|-----------|\n    |Mastercom Extended - Claim Management|Look up Claim Details by ID Request Builder - Extended|Request Builder produces the request payload for this action. Use this endpoint to retrieve details for an existing claim.|\n    |Look up Claim Details by ID Response Parser - Extended|Parses the response from the search. Use this endpoint to retrieve details for an existing claim.|\n    |Look up Claim Details Request Builder - Extended|Request Builder produces the request payload for this action. Use this endpoint to retrieve a list of claims.|\n    |Look up Claim Details Response Parser - Extended|Parses the response of the searchClaim. Use this endpoint to retrieve a list of claims.|\n    |Mastercom Extended - Transaction Management|Look up Transactions Request Builder - Extended|Request Builder produces the request payload for this action. Use this endpoint to search for transactions.|\n    |Look up Transactions Response Parser - Extended|Parses the response from the search. Use this endpoint to search for transactions.|\n    |Mastercom Extended - Case Filing Document Management|Look up Processed Documents by Case ID Request Builder - Extended|Request Builder for Retrieve processed documents associated with cases API. Use this endpoint to retrieve all documents from a case. The documents include any documents attached by any party.|\n    |Look up Processed Documents by Case ID Response Parser - Extended|Parses response of the Retrieve processed documents associated with cases. Use this endpoint to retrieve all documents from a case. The documents include any documents attached by the sender, receiver, or both.|\n    |Mastercom Extended - Document Management|Look up Processed Documents by Document Completed ID Request Builder - Extended|Request Builder for Retrieve processed documents API. Use this endpoint to retrieve processed documents.|\n    |Look up Processed Documents by Document Completed ID Response Parser - Extended|Response Parser for Retrieve processed documents API endpoint. Use this endpoint to retrieve processed documents.|\n\n    The following example illustrates the solution overview when it integrates with a Tokenization solution: \\[Omitted image \"spoke-mastercard-flow.jpg\"\\] Alt text: Tokenization solution overview.\n\n-   **Actions with non-sensitive information** - You can directly invoke these Mastercom/Mastercom Extended APIs from your ServiceNow instance.\n\n<table id=\"table_cjl_k2k_zyb\"><thead><tr><th>\n\nCategory\n\n</th><th>\n\nAction\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td rowspan=\"3\">\n\nMastercom Case Filing Management\n\n</td><td>\n\nLook up Cases Status\n\n</td><td>\n\nAllows issuers and acquirers search for the status of documents for a specific list of cases.\n\n</td></tr><tr><td>\n\nTake Action on Case\n\n</td><td>\n\nAllows issuers or acquirers take action on a case filing, such as accept, reject, rebut, escalate, or withdraw, with or without attaching documents.\n\n</td></tr><tr><td>\n\nLook up List of Claims\n\n</td><td>\n\nAllows issuers or acquirers retrieve a list of claims associated with the existing cases.\n\n</td></tr><tr><td rowspan=\"8\">\n\nMastercom Chargeback Management\n\n</td><td>\n\nAcknowledge Chargebacks\n\n</td><td>\n\nMoves a chargeback or second representment from the Unworked queue to the Worked queue.\n\n</td></tr><tr><td>\n\nCreate Chargeback\n\n</td><td>\n\nCreates chargebacks and second presentments with the option to upload supporting documents.\n\n</td></tr><tr><td>\n\nLoad Data for Chargebacks\n\n</td><td>\n\nObtains information about a potential first chargeback or second presentment before creating the chargeback.\n\n</td></tr><tr><td>\n\nLook up Chargeback Documents\n\n</td><td>\n\nRetrieves documents in the required format associated with the chargeback type.\n\n</td></tr><tr><td>\n\nLook up Chargeback Image Status\n\n</td><td>\n\nRetrieves documents with a status \\(completed, pending, failed, unavailable, or document not applicable\\) for chargebacks.\n\n</td></tr><tr><td>\n\nLook up Status of Chargebacks\n\n</td><td>\n\nRetrieves the status of documents for a specific list of claim IDs and chargeback IDs.\n\n**Note:** Issuers and acquirers can send a maximum of 2,000 chargeback IDs in a single request.\n\n</td></tr><tr><td>\n\nReverse Chargeback\n\n</td><td>\n\nReverses an existing chargeback when the issuer or acquirer creates a chargeback in error.\n\n</td></tr><tr><td>\n\nUpdate Chargeback\n\n</td><td>\n\nUpdates existing chargebacks with memos or documents.\n\n</td></tr><tr><td rowspan=\"2\">\n\nMastercom Claim Management\n\n</td><td>\n\nCreate Claim\n\n</td><td>\n\nIssuers use this endpoint to create a claim, which is required before creating a retrieval request or a first chargeback.\n\n</td></tr><tr><td>\n\nTake Action on Existing Claim\n\n</td><td>\n\nIssuers use this endpoint to perform operations \\(reopen or close\\) on an existing claim.\n\n</td></tr><tr><td rowspan=\"2\">\n\nMastercom Fraud Management\n\n</td><td>\n\nCreate Fraud\n\n</td><td>\n\nCreates a fraud item when the issuer determines that a transaction was fraudulent. **Note:** Mastercom enables issuers to create fraud items in the Fraud and Loss database. However, issuers must use the Fraud and Loss application to make further updates to fraud items.\n\n</td></tr><tr><td>\n\nLook up Fraud Related Information\n\n</td><td>\n\nIssuers use this endpoint to obtain fraud-related information associated with a claim before creating a fraud item for the claim.\n\n</td></tr><tr><td>\n\nMastercom Queues Management\n\n</td><td>\n\nLook up Queue Names\n\n</td><td>\n\nRetrieves a list of queue names.\n\n</td></tr><tr><td>\n\nHealth Check\n\n</td><td>\n\nLook up API Suite Health\n\n</td><td>\n\nRetrieves the status of the Mastercom API suite.\n\n</td></tr></tbody>\n</table><table id=\"table_qlx_mp3_l2c\"><thead><tr><th>\n\nCategory\n\n</th><th>\n\nAction\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td rowspan=\"2\">\n\nMastercom Extended - Case Filing Document Management\n\n</td><td>\n\nAttach Document by Case ID - Extended\n\n</td><td>\n\nUse this endpoint to attach a new document to an existing case when the previous document failed to process. Document processing status can be retrieved from the GET /cases/documents/attributes endpoint.\n\n</td></tr><tr><td>\n\nLook up Statuses for Documents Associated with Cases - Extended\n\n</td><td>\n\nUse this endpoint to retrieve the processing status of documents associated with cases.\n\n</td></tr><tr><td rowspan=\"4\">\n\nMastercom Extended - Case Filing Management\n\n</td><td>\n\nCreate Pre-Arbitration/Arbitration Case - Extended\n\n</td><td>\n\nUse this endpoint to create a pre-arbitration or arbitration case.\n\n</td></tr><tr><td>\n\nLook up Case Details by ID - Extended\n\n</td><td>\n\nUse this endpoint to retrieve details for an existing case, providing comprehensive information about the case.\n\n</td></tr><tr><td>\n\nUpdate Pre-Arbitration/Arbitration Case - Extended\n\n</td><td>\n\nUse this endpoint to update or respond to a pre-arbitration or arbitration case.\n\n</td></tr><tr><td>\n\nUpdate Pre-Compliance/Compliance Case - Extended\n\n</td><td>\n\nUse this endpoint to update or respond to a pre-compliance or compliance case.\n\n</td></tr><tr><td>\n\nMastercom Extended - Chargeback Management\n\n</td><td>\n\nCreate Chargeback Reversal - Extended\n\n</td><td>\n\nUse this endpoint to reverse existing chargebacks.\n\n</td></tr><tr><td rowspan=\"2\">\n\nMastercom Extended - Claim Management\n\n</td><td>\n\nCreate Claim - Extended\n\n</td><td>\n\nUse this endpoint to create a new claim.\n\n</td></tr><tr><td>\n\nCreate Pre-Compliance/Compliance Case - Extended\n\n</td><td>\n\nUse this endpoint to create a pre-compliance or compliance case.\n\n</td></tr><tr><td>\n\nMastercom Extended - Dispute Management\n\n</td><td>\n\nInitiate a Dispute by Claim ID - Extended\n\n</td><td>\n\nUse this endpoint to initiate a dispute. At this time, only creating a chargeback is supported.\n\n</td></tr><tr><td rowspan=\"3\">\n\nMastercom Extended - Document Management\n\n</td><td>\n\nAttach Documents by Claim ID and Event ID - Extended\n\n</td><td>\n\nUse this endpoint to attach previously uploaded documents to existing dispute events.\n\n</td></tr><tr><td>\n\nCheck Document Details - Extended\n\n</td><td>\n\nUse this endpoint to get the details of documentation attached to their events, including status.\n\n</td></tr><tr><td>\n\nUpload Documents - Extended\n\n</td><td>\n\nUse this endpoint to upload documents.\n\n To see details about file restrictions, refer to the Tutorials and Guides section of the Mastercom Extended API Specifications.\n\n</td></tr><tr><td rowspan=\"3\">\n\nMastercom Extended - Queue Management\n\n</td><td>\n\nLook up Claims in a Queue by ID Stream - Extended\n\n</td><td>\n\nUse this endpoint to retrieve a list of claims in a queue within a specified date range.\n\n</td></tr><tr><td>\n\nLook up Queue by ID - Extended\n\n</td><td>\n\nUse this endpoint to retrieve fields within a specific queue.\n\n</td></tr><tr><td>\n\nLook up Queues Stream - Extended\n\n</td><td>\n\nUse this endpoint to retrieve a list of queues and their fields.\n\n</td></tr><tr><td rowspan=\"2\">\n\nMastercom Extended - Report Definition Management\n\n</td><td>\n\nLook up Report Fields - Extended\n\n</td><td>\n\nUse this endpoint to retrieve fields within a specific report.\n\n</td></tr><tr><td>\n\nLook up Report Fields Stream - Extended\n\n</td><td>\n\nUse this endpoint to retrieve a list of reports and their fields.\n\n</td></tr><tr><td rowspan=\"4\">\n\nMastercom Extended - Report Management\n\n</td><td>\n\nCreate a Report - Extended\n\n</td><td>\n\nUse this endpoint to request the creation of report. NOTE: The system requires at least 120 seconds to generate a report.\n\n</td></tr><tr><td>\n\nLook up Completed Report - Extended\n\n</td><td>\n\nUse this endpoint to retrieve a completed report.\n\n</td></tr><tr><td>\n\nLook up Report Status - Extended\n\n</td><td>\n\nUse this endpoint to retrieve the status of a specific report.\n\n</td></tr><tr><td>\n\nLook up Reports Stream - Extended\n\n</td><td>\n\nUse this endpoint to obtain a report status and reportCompletedId.\n\n</td></tr><tr><td>\n\nMastercom Extended - Representment Management\n\n</td><td>\n\nUpdate Representment by Claim ID and Event ID - Extended\n\n</td><td>\n\nUse this endpoint to acknowledge a representment, which moves the claim to the Worked queue. Issuers may take further actions on acknowledged claims.\n\n</td></tr></tbody>\n</table>\n## Connection and credential alias requirements\n\nIntegration Hub uses aliases to manage connection and credential information, and OAuth credentials. Using an alias eliminates the need to configure multiple credentials and connection information profiles when using multiple environments. If the connection or credential information changes, you don't need to update any actions that use the connection.\n\nFor information about setting up the spoke, see [Set up Mastercard spoke](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/integrate-applications/integration-hub/set-up-mastercard-spoke.md)\n\n"}}